Package org.eclipse.emf.cdo.common.lob

# Class CDOLobStore.Delegating

java.lang.Object
org.eclipse.emf.cdo.common.lob.CDOLobStore.Delegating

All Implemented Interfaces:
  `CDOLobStore`

Enclosing interface:
  CDOLobStore

public abstract static class CDOLobStore.Delegating extends Object implements CDOLobStore
An abstract `large object store` that delegates all method calls to a delegate.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobStore

`CDOLobStore.Delegating`

## Constructor Summary

Constructors
Constructor
Description
`Delegating()`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getBinary(CDOLobInfo info)`
`File`
`getBinaryFile(byte[] id)`
`Reader`
`getCharacter(CDOLobInfo info)`
`File`
`getCharacterFile(byte[] id)`
`protected abstract CDOLobStore`
`getDelegate()`
`CDOLobInfo`
`putBinary(InputStream contents)`
`CDOLobInfo`
`putCharacter(Reader contents)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Delegating

public Delegating()

## Method Details

### getBinaryFile

public File getBinaryFile(byte[] id)

Specified by:
  `getBinaryFile` in interface `CDOLobStore`

### getBinary

public InputStream getBinary(CDOLobInfo info) throws IOException

Specified by:
  `getBinary` in interface `CDOLobStore`
Throws:
  `IOException`

### putBinary

public CDOLobInfo putBinary(InputStream contents) throws IOException

Specified by:
  `putBinary` in interface `CDOLobStore`
Throws:
  `IOException`

### getCharacterFile

public File getCharacterFile(byte[] id)

Specified by:
  `getCharacterFile` in interface `CDOLobStore`

### getCharacter

public Reader getCharacter(CDOLobInfo info) throws IOException

Specified by:
  `getCharacter` in interface `CDOLobStore`
Throws:
  `IOException`

### putCharacter

public CDOLobInfo putCharacter(Reader contents) throws IOException

Specified by:
  `putCharacter` in interface `CDOLobStore`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getDelegate

protected abstract CDOLobStore getDelegate()